# Asterisk Project : Asterisk 13 Function_PASSTHRU

Created by wikibot on Aug 08, 2014

# PASSTHRU()

### Synopsis

Pass the given argument back as a value.

### Description

Literally returns the given string. The intent is to permit other dialplan functions which take a variable name as an argument to be able to take a literal string, instead.

Note

Icon

The functions which take a variable name need to be passed var and not ${var}. Similarly, use PASSTHRU() and not ${PASSTHRU()}.

Example: ${CHANNEL} contains SIP/321-1

${CUT(PASSTHRU(${CUT(CHANNEL,-,1)}),/,2)}) will return 321

### Syntax

    PASSTHRU([string])

##### Arguments

- `string`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538